<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="MobileInfoDataSet" targetNamespace="http://tempuri.org/MobileInfoDataSet.xsd" xmlns:mstns="http://tempuri.org/MobileInfoDataSet.xsd" xmlns="http://tempuri.org/MobileInfoDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="MobileInfoConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="MobileInfoConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.EX1.Properties.Settings.GlobalReference.Default.MobileInfoConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="MobileTableAdapter" GeneratorDataComponentClassName="MobileTableAdapter" Name="Mobile" UserDataComponentName="MobileTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="MobileInfoConnectionString (Settings)" DbObjectName="dbo.Mobile" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>DELETE FROM [dbo].[Mobile] WHERE (([Code] = @Original_Code) AND ((@IsNull_MobileName = 1 AND [MobileName] IS NULL) OR ([MobileName] = @Original_MobileName)) AND ((@IsNull_Model = 1 AND [Model] IS NULL) OR ([Model] = @Original_Model)) AND ((@IsNull_Price = 1 AND [Price] IS NULL) OR ([Price] = @Original_Price)) AND ((@IsNull_SimCard = 1 AND [SimCard] IS NULL) OR ([SimCard] = @Original_SimCard)) AND ((@IsNull_Handsfree = 1 AND [Handsfree] IS NULL) OR ([Handsfree] = @Original_Handsfree)) AND ((@IsNull_Box = 1 AND [Box] IS NULL) OR ([Box] = @Original_Box)) AND ((@IsNull_IMEI = 1 AND [IMEI] IS NULL) OR ([IMEI] = @Original_IMEI)))</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_Code" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Code" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MobileName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MobileName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_MobileName" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="MobileName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Model" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Model" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_Model" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Model" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Price" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@Original_Price" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SimCard" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SimCard" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_SimCard" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="SimCard" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Handsfree" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Handsfree" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_Handsfree" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Handsfree" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Box" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Box" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_Box" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Box" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_IMEI" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="IMEI" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_IMEI" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="IMEI" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [dbo].[Mobile] ([Code], [MobileName], [Model], [Price], [SimCard], [Handsfree], [Box], [IMEI]) VALUES (@Code, @MobileName, @Model, @Price, @SimCard, @Handsfree, @Box, @IMEI);
SELECT Code, MobileName, Model, Price, SimCard, Handsfree, Box, IMEI FROM Mobile WHERE (Code = @Code)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Code" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Code" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@MobileName" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="MobileName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Model" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Model" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@Price" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@SimCard" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="SimCard" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Handsfree" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Handsfree" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Box" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Box" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@IMEI" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="IMEI" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>SELECT Code, MobileName, Model, Price, SimCard, Handsfree, Box, IMEI FROM dbo.Mobile</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>UPDATE [dbo].[Mobile] SET [Code] = @Code, [MobileName] = @MobileName, [Model] = @Model, [Price] = @Price, [SimCard] = @SimCard, [Handsfree] = @Handsfree, [Box] = @Box, [IMEI] = @IMEI WHERE (([Code] = @Original_Code) AND ((@IsNull_MobileName = 1 AND [MobileName] IS NULL) OR ([MobileName] = @Original_MobileName)) AND ((@IsNull_Model = 1 AND [Model] IS NULL) OR ([Model] = @Original_Model)) AND ((@IsNull_Price = 1 AND [Price] IS NULL) OR ([Price] = @Original_Price)) AND ((@IsNull_SimCard = 1 AND [SimCard] IS NULL) OR ([SimCard] = @Original_SimCard)) AND ((@IsNull_Handsfree = 1 AND [Handsfree] IS NULL) OR ([Handsfree] = @Original_Handsfree)) AND ((@IsNull_Box = 1 AND [Box] IS NULL) OR ([Box] = @Original_Box)) AND ((@IsNull_IMEI = 1 AND [IMEI] IS NULL) OR ([IMEI] = @Original_IMEI)));
SELECT Code, MobileName, Model, Price, SimCard, Handsfree, Box, IMEI FROM Mobile WHERE (Code = @Code)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Code" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Code" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@MobileName" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="MobileName" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Model" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Model" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@Price" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@SimCard" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="SimCard" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Handsfree" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Handsfree" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Box" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Box" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@IMEI" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="IMEI" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_Code" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Code" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_MobileName" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="MobileName" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_MobileName" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="MobileName" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Model" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Model" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_Model" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Model" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Price" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Currency" Direction="Input" ParameterName="@Original_Price" Precision="0" ProviderType="Money" Scale="0" Size="0" SourceColumn="Price" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_SimCard" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="SimCard" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_SimCard" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="SimCard" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Handsfree" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Handsfree" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_Handsfree" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Handsfree" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_Box" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Box" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_Box" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="Box" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@IsNull_IMEI" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="IMEI" SourceColumnNullMapping="true" SourceVersion="Original" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="StringFixedLength" Direction="Input" ParameterName="@Original_IMEI" Precision="0" ProviderType="NChar" Scale="0" Size="0" SourceColumn="IMEI" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="Code" DataSetColumn="Code" />
              <Mapping SourceColumn="MobileName" DataSetColumn="MobileName" />
              <Mapping SourceColumn="Model" DataSetColumn="Model" />
              <Mapping SourceColumn="Price" DataSetColumn="Price" />
              <Mapping SourceColumn="SimCard" DataSetColumn="SimCard" />
              <Mapping SourceColumn="Handsfree" DataSetColumn="Handsfree" />
              <Mapping SourceColumn="Box" DataSetColumn="Box" />
              <Mapping SourceColumn="IMEI" DataSetColumn="IMEI" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="MobileInfoDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="MobileInfoDataSet" msprop:Generator_UserDSName="MobileInfoDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Mobile" msprop:Generator_TableClassName="MobileDataTable" msprop:Generator_TableVarName="tableMobile" msprop:Generator_TablePropName="Mobile" msprop:Generator_RowDeletingName="MobileRowDeleting" msprop:Generator_RowChangingName="MobileRowChanging" msprop:Generator_RowEvHandlerName="MobileRowChangeEventHandler" msprop:Generator_RowDeletedName="MobileRowDeleted" msprop:Generator_UserTableName="Mobile" msprop:Generator_RowChangedName="MobileRowChanged" msprop:Generator_RowEvArgName="MobileRowChangeEvent" msprop:Generator_RowClassName="MobileRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Code" msprop:Generator_ColumnVarNameInTable="columnCode" msprop:Generator_ColumnPropNameInRow="Code" msprop:Generator_ColumnPropNameInTable="CodeColumn" msprop:Generator_UserColumnName="Code">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="MobileName" msprop:Generator_ColumnVarNameInTable="columnMobileName" msprop:Generator_ColumnPropNameInRow="MobileName" msprop:Generator_ColumnPropNameInTable="MobileNameColumn" msprop:Generator_UserColumnName="MobileName" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Model" msprop:Generator_ColumnVarNameInTable="columnModel" msprop:Generator_ColumnPropNameInRow="Model" msprop:Generator_ColumnPropNameInTable="ModelColumn" msprop:Generator_UserColumnName="Model" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Price" msprop:Generator_ColumnVarNameInTable="columnPrice" msprop:Generator_ColumnPropNameInRow="Price" msprop:Generator_ColumnPropNameInTable="PriceColumn" msprop:Generator_UserColumnName="Price" type="xs:decimal" minOccurs="0" />
              <xs:element name="SimCard" msprop:Generator_ColumnVarNameInTable="columnSimCard" msprop:Generator_ColumnPropNameInRow="SimCard" msprop:Generator_ColumnPropNameInTable="SimCardColumn" msprop:Generator_UserColumnName="SimCard" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="20" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Handsfree" msprop:Generator_ColumnVarNameInTable="columnHandsfree" msprop:Generator_ColumnPropNameInRow="Handsfree" msprop:Generator_ColumnPropNameInTable="HandsfreeColumn" msprop:Generator_UserColumnName="Handsfree" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Box" msprop:Generator_ColumnVarNameInTable="columnBox" msprop:Generator_ColumnPropNameInRow="Box" msprop:Generator_ColumnPropNameInTable="BoxColumn" msprop:Generator_UserColumnName="Box" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="IMEI" msprop:Generator_ColumnVarNameInTable="columnIMEI" msprop:Generator_ColumnPropNameInRow="IMEI" msprop:Generator_ColumnPropNameInTable="IMEIColumn" msprop:Generator_UserColumnName="IMEI" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="25" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Mobile" />
      <xs:field xpath="mstns:Code" />
    </xs:unique>
  </xs:element>
</xs:schema>